package com.cisdi.data.DIClient.bean;

import java.util.List;
import java.util.Map;

public class DBTableTaskCnfg {
    private DBTableVo tableName;
    private List<DBFieldVo> fieldNames;
    private List<String> condition;
    private Long cycleTime;
    private String taskType;
    private String sortType;
    private String groupBy;
    private String msgKey;

    public String getMsgKey() {
        return msgKey;
    }

    public void setMsgKey(String msgKey) {
        this.msgKey = msgKey;
    }

    public DBTableVo getTableName() {
        return tableName;
    }

    public void setTableName(DBTableVo tableName) {
        this.tableName = tableName;
    }

    public List<DBFieldVo> getFieldNames() {
        return fieldNames;
    }

    public void setFieldNames(List<DBFieldVo> fieldNames) {
        this.fieldNames = fieldNames;
    }

    public List<String> getCondition() {
        return condition;
    }

    public void setCondition(List<String> condition) {
        this.condition = condition;
    }

    public Long getCycleTime() {
        return cycleTime;
    }

    public void setCycleTime(Long cycleTime) {
        this.cycleTime = cycleTime;
    }

    public String getTaskType() {
        return taskType;
    }

    public void setTaskType(String taskType) {
        this.taskType = taskType;
    }

    public String getSortType() {
        return sortType;
    }

    public void setSortType(String sortType) {
        this.sortType = sortType;
    }

    public String getGroupBy() {
        return groupBy;
    }

    public void setGroupBy(String groupBy) {
        this.groupBy = groupBy;
    }
}
